PUT /api/v3/energyproject/{projectId}

Edits an Energy Project

EditEnergyProjectV3 Permissions: FacilityProjects (Edit)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
projectId The identifier for the energy project being edited integer (int32) Required

Request Body

EnergyProjectEdit
Property Description Type
costSavings The cost savings amount Required (defined) number (double)
costSavingsUnitCode The cost savings unit code Required (defined) string
energyProjectCode The energy project code Required Must be between 0 and 128 characters string
energyProjectInfo The energy project info Required Must be between 0 and 128 characters string
energyProjectTypeCode The energy project type code Required string
energySavings The energy savings amount Required (defined) number (double)
energySavingsUnitCode The energy savings unit code Required (defined) string
fundingSource The funding source of the project Required (defined) string
installationBeginDate The energy project installation begin date Required (defined) string (date-time)
installationCost The energy project installation cost Required (defined) number (double)
installationEndDate The energy project installation end date Must be greater than InstallationBeginDate Required (defined) string (date-time)
note The miscellaneous note about the project Required (defined) string
placeId The place identifier Required (defined) integer (int32)
projectManager The project manager of the energy project Required (defined) string
utilityRebate The rebate amount of energy project Required (defined) number (double)
Example Request Body application/json
{  "costSavings": 1.0,  "costSavingsUnitCode": "string",  "energyProjectCode": "string",  "energyProjectInfo": "string",  "energyProjectTypeCode": "string",  "energySavings": 1.0,  "energySavingsUnitCode": "string",  "fundingSource": "string",  "installationBeginDate": "2026-03-30",  "installationCost": 1.0,  "installationEndDate": "2026-03-30",  "note": "string",  "placeId": 1,  "projectManager": "string",  "utilityRebate": 1.0
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

EnergyProjectResponse
Property Description Type
costSavings CostSavingsChild
CostSavingsChild properties
Property Description Type
costSavings The cost savings amount number (double)
costSavingsUnit CostSavingsUnit
CostSavingsUnit properties
Property Description Type
costSavingsUnitCode The cost savings unit code string
costSavingsUnitId The cost savings unit identifier integer (int32)
costSavingsUnitInfo The cost savings unit information string
energyProjectCode The energy project code string
energyProjectId The energy project identifier integer (int32)
energyProjectInfo The energy project info string
energyProjectType EnergyProjectType
EnergyProjectType properties
Property Description Type
energyProjectTypeCode The energy project type code string
energyProjectTypeId The energy project type identifier integer (int32)
energyProjectTypeInfo The energy project type info string
energySavings EnergySavingsChild
EnergySavingsChild properties
Property Description Type
energySavings The energy savings amount number (double)
energySavingsUnit EnergySavingsUnit
EnergySavingsUnit properties
Property Description Type
energySavingsUnitCode The energy savings unit code string
energySavingsUnitId The energy savings unit identifier integer (int32)
energySavingsUnitInfo The energy savings unit information string
fundingSource The funding source of the project string
installationBeginDate The energy project installation begin date string (date-time)
installationCost The energy project installation cost number (double)
installationEndDate The energy project installation end date string (date-time)
note The miscellaneous note about the project string
place EnergyProjectPlaceChild
EnergyProjectPlaceChild properties
Property Description Type
isDataRolledUp Tells whether or not the place’s data is rolled up to its parents. boolean
placeCode The place code string
placeId The place identifier integer (int32)
placeInfo The place info string
projectManager The project manager of the energy project string
utilityRebate The rebate amount of energy project number (double)
Example Response application/json
{  "costSavings": {    "costSavings": 1.0,    "costSavingsUnit": {      "costSavingsUnitCode": "string",      "costSavingsUnitId": 1,      "costSavingsUnitInfo": "string"
    }
  },  "energyProjectCode": "string",  "energyProjectId": 1,  "energyProjectInfo": "string",  "energyProjectType": {    "energyProjectTypeCode": "string",    "energyProjectTypeId": 1,    "energyProjectTypeInfo": "string"
  },  "energySavings": {    "energySavings": 1.0,    "energySavingsUnit": {      "energySavingsUnitCode": "string",      "energySavingsUnitId": 1,      "energySavingsUnitInfo": "string"
    }
  },  "fundingSource": "string",  "installationBeginDate": "2026-03-30",  "installationCost": 1.0,  "installationEndDate": "2026-03-30",  "note": "string",  "place": {    "isDataRolledUp": false,    "placeCode": "string",    "placeId": 1,    "placeInfo": "string"
  },  "projectManager": "string",  "utilityRebate": 1.0
}